{
This component for mainboard bios information.
Anakartin bios bilgilerine ulasabilirsiniz!
izzet uslu
istanbul-TURKEY
http://members.xoom.com/izus
izus6@hotmail.com
}
unit BiosInfo;
{$R BiosInfo.res}

interface

uses
  Windows, Messages, Classes, Controls, Forms, dsgnintf;

type

  TAboutBiosInfo = class(TPropertyEditor)
  private
    procedure Edit; override;
    function GetAttributes: TPropertyAttributes; override;
    function GetValue: string; override;
  end;

  TMainBoardBiosInformation = class(TComponent)
  private
    { Private declarations }
    FAbout:TAboutBiosInfo;
    FMainBoardBiosName,
    FMainBoardBiosCopyright,
    FMainBoardBiosDate,
    FMainBoardBiosSerialNo:string;
  protected
    { Protected declarations }
  public
    constructor Create(aOwner: TComponent); override;
    destructor Destroy; override;
    procedure Refresh;
  published
    { Published declarations }
    property About : TAboutBiosInfo read FAbout write FAbout;
    property MainBoardBiosName : string read FMainBoardBiosName write FMainBoardBiosName;
    property MainBoardBiosCopyright : string read FMainBoardBiosCopyright write FMainBoardBiosCopyright;
    property MainBoardBiosDate : string read FMainBoardBiosDate write FMainBoardBiosDate;
    property MainBoardBiosSerialNo : string read FMainBoardBiosSerialNo write FMainBoardBiosSerialNo;
  end;

procedure Register;

implementation

{ TAboutBiosInfo }

procedure TAboutBiosInfo.Edit;
begin
  Application.MessageBox('By izzet uslu - 2000'#13#13'E-Mail : izus6@hotmail.com'#13'WEB : http://members.xoom.com/izus','Mainboard Bios Information component version 1.0', MB_OK+ MB_ICONINFORMATION);
end;

function TAboutBiosInfo.GetAttributes: TPropertyAttributes;
begin
  GetAttributes:=[paDialog, paReadOnly];
end;

function TAboutBiosInfo.GetValue: string;
begin
  GetValue:='(About)';
end;

{ TMainBoardBiosInformation }
constructor TMainBoardBiosInformation.Create(aOwner: TComponent);
begin
  inherited Create(aOwner);
  Refresh;
end;

destructor TMainBoardBiosInformation.Destroy;
begin
  inherited Destroy;
end;

procedure TMainBoardBiosInformation.Refresh;
begin
  try
    fMainBoardBiosName := String(Pchar(Ptr($FE061)));
    fMainBoardBiosCopyright := String(Pchar(Ptr($FE091)));
    fMainBoardBiosDate := String(Pchar(Ptr($FFFF5)));
    fMainBoardBiosSerialNo := String(Pchar(Ptr($FEC71)));
  except
    fMainBoardBiosName := 'Unsupported';
    fMainBoardBiosCopyright := 'Unsupported';
    fMainBoardBiosDate := 'Unsupported';
    fMainBoardBiosSerialNo := 'Unsupported';
  end;
end;

procedure Register;
begin
  RegisterComponents('izus', [TMainBoardBiosInformation]);
  RegisterPropertyEditor(TypeInfo(TAboutBiosInfo), TMainBoardBiosInformation, 'ABOUT', TAboutBiosInfo);
end;


end.
